\RequirePackage[dvipsnames,svgnames]{xcolor}
\RequirePackage{tikz}
\usetikzlibrary{shapes.geometric,calc}
\RequirePackage[object=vectorian]{pgfornament}
\RequirePackage{keyval}
\RequirePackage{graphicx}

% Define keys
% date, caption, figure
\define@key{card}{date}{%
    \def\cardDate{#1}
}

\define@key{card}{caption}{%
    \def\cardCaption{#1}
}

\define@key{card}{figure}{%
    \def\cardFigure{#1}
}

\define@key{card}{people}{
    \def\cardPeople{#1}
}
\newcommand{\card}[1]{%
    % Defaults values
    \def\cardDate{}
    \def\cardCaption{<caption>}
    \def\cardFigure{}
    \def\cardPeople{}
    % Get options
    \setkeys{card}{#1}
    \noindent
    \begin{tikzpicture}[color=Maroon,scale=1,
        every node/.style={inner sep=0pt, outer sep=0pt}]
        \node[draw, minimum width=9cm, minimum height=12cm,inner sep=0pt, outer sep=0pt](vecbox){}; 
        \ifx\cardFigure\empty
        \else
            \node[inner sep=6pt] (figure) at (vecbox.center) {%
                \includegraphics[height=6cm, width=6cm, keepaspectratio]{\cardFigure}
            };
        \fi
        \node[anchor=north west] at (vecbox.north west){\pgfornament[width=2cm]{63}};
        \node[anchor=north east] at (vecbox.north east){\pgfornament[width=2cm,symmetry=v]{63}};
        \node[anchor=south west] at (vecbox.south west){\pgfornament[width=2cm,symmetry=h]{63}};
        \node[anchor=south east] at (vecbox.south east){\pgfornament[width=2cm,symmetry=c]{63}};
        \node[anchor=north] at (vecbox.north){\pgfornament[width=6cm,symmetry=h]{46}};
        \node[anchor=south] at (vecbox.south){\pgfornament[width=6cm]{46}};
        \node[anchor=north,rotate=90] at (vecbox.west){\pgfornament[width=6cm,symmetry=h]{46}};
        \node[anchor=north,rotate=-90] at (vecbox.east){\pgfornament[width=6cm,symmetry=h]{46}};
        
        \node[inner sep=6pt, below=1.25cm, text width=8cm, align=center] (text) at (vecbox.north) {\Large \cardCaption};
        \ifx\cardDate\empty
        \else
            \node[inner sep=6pt, above=1.25cm] (date) at (vecbox.south) {\Huge \cardDate};
        \fi
        \ifx\cardAuthor\empty
        \else
            \node[inner sep=6pt, above=2cm] (author) at (vecbox.south) {\small\cardPeople};
        \fi
    \end{tikzpicture} 
}